<?php
/*
*
* Copyright (c) 2014 AM Data Soft
* Distributed under the GNU GPL v3.
* License: http://www.gnu.org/licenses/gpl.html GPL version 3 or higher
*
*/

/*
*
* Purpose:         Top menu bar page
*                  Change as needed all components in "navbar-header" section. 
*                  Consult Bootstrap documentation at http://getbootstrap.com/ on available 
*                  options and styles.
* Developer:       AM Data Soft
* Version:         1.0
* Version date:    2014-04-10
*
*/
?>

    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">

          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><?php echo APP_NAME; ?></a>
        </div>
          <div class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
<?php

$cur_page = URL_PATH."/";
try{
    $cur_page = CURRENT_PAGE;
} catch (Exception $e) {
    $cur_page = './';
}

if ($_SESSION['auth_head'] != ''){

    if($_SESSION['user_data']['access_level'] == 'ADMIN' || $_SESSION['user_data']['access_level'] == 'MANAGER'){
        if($cur_page == "".URL_PATH."/users.php"){
            print "<li class=\"active\"><a href=\"".URL_PATH."/users.php\">".$formatting_library->make_lang_label($arr_labels, 'lbl_pghead_users', DEFAULT_LANG)."</a></li>";
        }else{
            print "<li><a href=\"".URL_PATH."/users.php\">".$formatting_library->make_lang_label($arr_labels, 'lbl_pghead_users', DEFAULT_LANG)."</a></li>";
        }
        if($cur_page == "".URL_PATH."/company.php"){
            print "<li class=\"active\"><a href=\"".URL_PATH."/company.php\">".$formatting_library->make_lang_label($arr_labels, 'lbl_pghead_company', DEFAULT_LANG)."</a></li>";
        }else{
            print "<li><a href=\"".URL_PATH."/company.php\">".$formatting_library->make_lang_label($arr_labels, 'lbl_pghead_company', DEFAULT_LANG)."</a></li>";
        }
    }

?>

                <li class="dropdown">
                  <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_pghead_infrastructure', DEFAULT_LANG); ?> <b class="caret"></b></a>
                  <ul class="dropdown-menu">
                    <li><a href="<?php echo URL_PATH; ?>/dashboard.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_pghead_dashboard', DEFAULT_LANG); ?></a></li>
                    <li><a href="<?php echo URL_PATH; ?>/datacenters.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_pghead_datacenters', DEFAULT_LANG); ?></a></li>
                    <li class="divider"></li>
                    <li><a href="<?php echo URL_PATH; ?>/mgdevices.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_devices_devices_mg_btn', DEFAULT_LANG); ?></a></li>
                    <?php if($_SESSION['user_data']['access_level'] == 'ADMIN' || $_SESSION['user_data']['access_level'] == 'MANAGER'){ ?>
                    <li><a href="<?php echo URL_PATH; ?>/mgtemplates.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_devices_templates_btn_manage', DEFAULT_LANG); ?></a></li>
                    <?php } ?>
                  </ul>
                </li>

                <li class="dropdown">
                  <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?php echo "".$_SESSION['user_data']['first_name']." ".$_SESSION['user_data']['last_name']."" ?> <b class="caret"></b></a>
                  <ul class="dropdown-menu">
                    <li><a href="<?php echo URL_PATH; ?>/profile.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_pghead_profile', DEFAULT_LANG); ?></a></li>
                    <li><a href="<?php echo URL_PATH; ?>/info.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_pghead_info', DEFAULT_LANG); ?></a></li>
                    <li><a href="<?php echo URL_PATH; ?>/logout.php"><?php echo $formatting_library->make_lang_label($arr_labels, 'lbl_pghead_logout', DEFAULT_LANG); ?></a></li>
                  </ul>
                </li>


<?php 
}else{
    print "<li class=\"active\"><a href=\"".URL_PATH."/\">".$formatting_library->make_lang_label($arr_labels, 'lbl_pghead_home', DEFAULT_LANG)."</a></li>";
}


?>

            </ul>
          </div><!--/.nav-collapse -->
        </div>
      </div>


