<?php
/*
 *
* Copyright (c) 2014 AM Data Soft
* Distributed under the GNU GPL v3.
* License: http://www.gnu.org/licenses/gpl.html GPL version 3 or higher
*
*/

/*
 *
* Purpose:         Documentations page with links to infra-track.com
* Developer:       AM Data Soft
* Version:         1.0
* Version date:    2014-04-10
*
*/


session_start();

require_once('../settings.php');

date_default_timezone_set(DEFAULT_TIMEZONE);
define('SID', session_id());
define('CURRENT_PAGE', $_SERVER['SCRIPT_NAME']);
define('CURRENT_SCRIPT', $_SERVER['SCRIPT_FILENAME']);
define('CURRENT_URL',$_SERVER['REQUEST_URI']);

require_once(WEB_ROOT.'/incl/top.php');

?>


<body>

    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">

          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><?php echo APP_NAME; ?></a>
        </div>
      </div><!--/.nav-collapse -->
    </div>

<div class="container">
<h2 class="form-signin-heading">Documentation</h2>
<ul>
<li><a href="http://infra-track.com/product/documentation/1.0.0_admin_guide.html" target="_blank">Administration Guide</a></li>
<li><a href="http://infra-track.com/product/documentation/1.0.0_api_guide.html" target="_blank">API Guide</a></li>
<li><a href="http://infra-track.com/product/support/support.html" target="_blank">Support info</a></li>
<li><a href="http://infra-track.com/product/documentation/1.0.0_user_guide.html" target="_blank">User Guide</a></li>
</ul>

<?php
require_once(WEB_ROOT.'/incl/bottom.php');
?>
