<?php
/*
*
* Copyright (c) 2014 AM Data Soft
* Distributed under the GNU GPL v3.
* License: http://www.gnu.org/licenses/gpl.html GPL version 3 or higher
*
*/

/*
*
* Purpose:         List of configured access level parameters as $arr_access_level 
*                  array. The 3 mandatory access levels are: ADMIN, MANAGER and USER
*                  Those levels must not be modified and always in upper-case letters. 
*                  Add values as needed and configure the web application security as 
*                  needed to filter modules based on the new security values.
*                  Array format must always be:
*                  'LEVEL' => 'LEVEL'
* Developer:       AM Data Soft
* Version:         1.0
* Version date:    2014-04-10
*
*/

$arr_access_level = [
    'ADMIN' => 'ADMIN',
    'MANAGER' => 'MANAGER',
    'USER' => 'USER'
];

?>
