<?php
/*
*
* Copyright (c) 2014 AM Data Soft
* Distributed under the GNU GPL v3.
* License: http://www.gnu.org/licenses/gpl.html GPL version 3 or higher
*
*/

/*
*
* Purpose:         List of configured locale languages as $arr_languages array.
* 
*                  After enabling additional languages at the operating system level, 
*                  add them to the $arr_languages array in format:
*                  'locale_CODE' => 'Language (Country)'
*                  Example for Italian (Italy):
*                  'it_IT' => 'Italian (Italy)'
* 
* Developer:       AM Data Soft
* Version:         1.0
* Version date:    2014-04-10
*
*/

$arr_languages = [
    'en_US' => 'English (US)',
    'de_DE' => 'German (DE)',
    'es_ES' => 'Spanish (ES)',
    'fi_FI' => 'Finnish (FI)',
    'fr_FR' => 'French (FR)',
    'nl_NL' => 'Dutch (NL)',
    'ro_RO' => 'Romanian (RO)',
    'ru_RU' => 'Russian (RU)'
];
?>
